<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.PrintLockingSystemStats Method (Boolean, Boolean, Boolean, Boolean, Boolean, Boolean)
DatabaseEnvironment Class See Also Send Feedback

Display the locking subsystem statistical information, as described by LockStats.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public void PrintLockingSystemStats(
    	bool PrintAll,
    	bool ClearStats,
    	bool ConflictMatrix,
    	bool Lockers,
    	bool Objects,
    	bool Parameters
    )

Visual Basic (Declaration)

    Public Sub PrintLockingSystemStats ( _
    	PrintAll As Boolean, _
    	ClearStats As Boolean, _
    	ConflictMatrix As Boolean, _
    	Lockers As Boolean, _
    	Objects As Boolean, _
    	Parameters As Boolean _
    )

Visual C++

    public:
    void PrintLockingSystemStats(
    	bool PrintAll,
    	bool ClearStats,
    	bool ConflictMatrix,
    	bool Lockers,
    	bool Objects,
    	bool Parameters
    )

#### Parameters

PrintAll
  Type: System..::.Boolean
  If true, display all available information.

ClearStats
  Type: System..::.Boolean
  If true, reset statistics after displaying their values.

ConflictMatrix
  Type: System..::.Boolean
  If true, display the lock conflict matrix.

Lockers
  Type: System..::.Boolean
  If true, Display the lockers within hash chains.

Objects
  Type: System..::.Boolean
  If true, display the lock objects within hash chains.

Parameters
  Type: System..::.Boolean
  If true, display the locking subsystem parameters.

# See Also

DatabaseEnvironment Class
PrintLockingSystemStats Overload
BerkeleyDB Namespace